/************************************************************************
 *	Read COPYRIGHT file in this directory				*
 ************************************************************************/

/************************************************************************
 *  Sizes of queues and buffers.					*
 ************************************************************************/

#define AG_MAXQLEN 65536
					/*
					 *  Max lenght of all queues.
					 */
#define AG_SHORTSIZE 512000
					/*
					 *  Max size of messages
					 *  received by short protocol.
					 *  Msgs longer than this are
					 *  received by eager protocol.
					 */
#define AG_EAGRSIZE 512000
					/*
					 *  Max size of messages
					 *  received by eager protocol.
					 *  Msgs longer than this are
					 *  received by rendez-vous protocol.
					 *  Currently eager and short protocols
					 *  are the same (as for both msg sizes
					 *  and protocol code).
					 */
